Skip to main content
`Ctrl`+`K`

# Conic

class astropy.modeling.projections.Conic(*args, **kwargs)

  Bases: `Projection`

  Base class for conic projections.

  In conic projections, the sphere is thought to be projected onto the surface of a cone which is then opened out.

  In a general sense, the pixel-to-sky transformation is defined as:

  \[\begin{split}\phi &= \arg\left(\frac{Y_0 - y}{R_\theta}, \frac{x}{R_\theta}\right) / C \\ R_\theta &= \mathrm{sign} \theta_a \sqrt{x^2 + (Y_0 - y)^2}\end{split}\]

  and the inverse (sky-to-pixel) is defined as:

  \[\begin{split}x &= R_\theta \sin (C \phi) \\ y &= R_\theta \cos (C \phi) + Y_0\end{split}\]

  where \(C\) is the “constant of the cone”:

  \[C = \frac{180^\circ \cos \theta}{\pi R_\theta}\]

  Attributes Summary

  `delta` |
  `param_names` | Names of the parameters that describe models of this type.
  `sigma` |

  Attributes Documentation

  delta = _ParameterDS('delta', value=0.0)
  param_names = ('sigma', 'delta')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  sigma = _ParameterDS('sigma', value=90.0)